// SPDX-License-Identifier: BSD-3-Clause
package org.islandoftex.texplate.util;

import java.util.HashMap;
import java.util.Map;

import org.islandoftex.texplate.model.handlers.BooleanHandler;
import org.islandoftex.texplate.model.handlers.CSVListHandler;
import org.islandoftex.texplate.model.handlers.Handler;

/**
 * Provides the map of handlers.
 *
 * @version 1.0
 * @since 1.0
 */
public class HandlerUtils {

    /**
     * Gets the map of handlers.
     *
     * @return Map of handlers.
     */
    public static Map<String, Handler> getHandlers() {
        Map<String, Handler> handlers = new HashMap<>();
        handlers.put("to-csv-list", new CSVListHandler());
        handlers.put("to-boolean", new BooleanHandler());
        return handlers;
    }

}
